$(()=>{



    $("#loginForm").submit(function(e){
        e.preventDefault();
        //get all data as json from the form and log it
        const credentials = getFormData('loginForm');
        new User().authenticate(credentials)
    })
})

const User = class{
    constructor(){

    }

    authenticate = async (data)=>{
        try{
            $("#loginForm").addClass("loading");
            PostOptions.body = JSON.stringify(data)
            let request = await fetch(`${BASE_URL}/users/authenticate`, PostOptions)
            let response = await request.json()
            //check if login was successful
            if(request.ok){
                //set token in local storage
                localStorage.setItem("token", response.token)

                swal('Access Granted!', response.message, 'success')
                //redirect to dashboard
                setTimeout(()=>{
                    window.location.href = `/dashboard`
                },2000)
            }else{
                swal("Error!", response.message, "error");
                $("#loginForm").removeClass("loading");
            }
        }catch(err){
            console.log(err)
            swal('Network Error!', err.message, 'error');
            $("#loginForm").removeClass("loading");
        }
    }
}
